/* 
 * Resampling filter header file, part of:
 *  BSD Telephony Of Mexico "Emiliano" MIPL browser/interpreter, version 1.4  12/23/00
 *
 *   Part of the "Zapata" Computer Telephony Technology.
 *
 *   See http://www.bsdtelephony.com.mx 
 *
 *   For documentation on the MIPL language and technology
 *
 *   See http://www.mipl.org
 *
 *
 *  The technologies, software, hardware, designs, drawings, scheumatics, board
 *  layouts and/or artwork, concepts, methodologies (including the use of all
 *  of these, and that which is derived from the use of all of these), all other
 *  intellectual properties contained herein, and all intellectual property
 *  rights have been and shall continue to be expressly for the benefit of all
 *  mankind, and are perpetually placed in the public domain, and may be used,
 *  copied, and/or modified by anyone, in any manner, for any legal purpose,
 *  without restriction. 
 *
 */


/*
 * FILE:filterkit.h
 *   BY: Christopher Lee Fraley (cf0v@andrew.cmu.edu)
 * DATE: 17-JUN-88
 * VERS: 1.0  (20-JUN-88, 3:10pm)
 */

void LpFilter();
int writeFilter(),  readFilter(), makeFilter();
WORD FilterUp(), FilterUD();
double GetDouble();
unsigned short GetUShort();
char *GetString();
BOOL Query();
double cubic(), zerox();

#define GetUHWORD(x,y,z) GetUShort(x,y,z)

